Description

I am using Qgis with the new symbology in version 1.1.7 to illustrate traffic volumes on roads.

I use the traffic volume attribute as Size Scale Field on the road lines, but with volumes up to about 50000, the lines get far to wide even

when I set the Width to the minimal value 0.01.

So would it be possible to remove this lower limit on the width?

I can of course define a new attribute as volume/1000 but it would be nice to avoid this

History

#1 - 2011-09-30 04:52 AM - Mayeul Kauffmann

- Priority changed from Normal to High

Another (more important) reason to solve this (from bug #3825 which has been closed as duplicate):

In new symbology, when selecting size, width, offsets etc. in "map unit", the minimum value is either 0.00 or 0.01, because only 2 decimal places are

allowed.

At 45° North latitude, 0.01 degree=786 meters, which renders symbology based on map unit useless on lat-long data at most scales.

It is impossible to chose for instance "0.0001" (about 8 meters) to represent a small road or a track.

The resolution should be at least 5 decimal places to support a minimum of "0.00001" (80cm), which makes sense for "street maps" (e.g. with "Open

Street-Maps" data in lat-long): sometimes you find a path in very narrow streets, with buildings less than two meters away from each other.

PS: note that OSM data are stored in long lat in decimal degrees with a resoultion of appriximately 1 cm.

Because of this bug, currently, it is impossible to create a topographical map on a global scale (i.e. with a global projection system, hence in degrees) with

QGIS. Hence I'm raising the priority of this.

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2011-12-24 07:14 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Subject changed from More flexibility on Width/Size Scale Field to Allow up to 5 decimal places for Width/Size Scale Field

- Tracker changed from Feature request to Bug report

#4 - 2011-12-25 11:55 AM - Giovanni Manghi

From #1238
_Description

I request that the various Symbology size settings have a precision to at least 4 places to the right of the decimal point, especially the Line width.

Here is why: with only 0.01 precision for Outline width it is impossible to render lines on screen that are exactly one pixel, for example. There will be gaps

or two pixel width short segments quite often, which are especially noticeable on straight lines.

I believe that this behavior could cause some annoyance to many users (it annoys me because I can't set a better value that I know would work) and

probably complaints.

I know that when a map is rendered to a high resolution printer the precision of the size doesn't make much difference in the result, but it does affect low

resolution devices like computer displays.

I have found that a value of approximately 0.26458 for Outline width results in almost no gapping on a typical Windows computer. This may vary depending

on platform._

#5 - 2011-12-25 12:19 PM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

#6 - 2011-12-25 12:23 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Resolved

implemented in commit:b0e6a68

#7 - 2011-12-25 12:36 PM - Giovanni Manghi

- Status changed from Resolved to Closed
